Error when running server :rails S #193

Closed
RohithKumar opened this Issue Aug 4, 2011 · 0 comments

Projects

None yet

2 participants

@RohithKumar

C:\RailsInstaller\hello>rails s
=> Booting WEBrick
=> Rails 3.1.0.rc5 application starting in development on http://0.0.0.0:3000
=> Call with -d to detach
=> Ctrl-C to shutdown server
Exiting
C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/activesupport-3.1.0.rc5/li
/active_support/dependencies.rb:233:in load': C:/RailsInstaller/hello/config/r utes.rb:60: syntax error, unexpected keyword_end, expecting $end (SyntaxError) from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/activesupport 3.1.0.rc5/lib/active_support/dependencies.rb:233:inblock in load'
from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/activesupport
3.1.0.rc5/lib/active_support/dependencies.rb:223:in block in load_dependency' from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/activesupport 3.1.0.rc5/lib/active_support/dependencies.rb:639:innew_constants_in'
from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/activesupport
3.1.0.rc5/lib/active_support/dependencies.rb:223:in load_dependency' from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/activesupport 3.1.0.rc5/lib/active_support/dependencies.rb:233:inload'
from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.1.
.rc5/lib/rails/application/routes_reloader.rb:29:in block in load_paths' from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.1. .rc5/lib/rails/application/routes_reloader.rb:29:ineach'
from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.1.
.rc5/lib/rails/application/routes_reloader.rb:29:in load_paths' from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.1. .rc5/lib/rails/application/routes_reloader.rb:13:inreload!'
from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.1.
.rc5/lib/rails/application/routes_reloader.rb:7:in block in initialize' from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/activesupport 3.1.0.rc5/lib/active_support/file_update_checker.rb:32:incall'
from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/activesupport
3.1.0.rc5/lib/active_support/file_update_checker.rb:32:in execute_if_updated' from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.1. .rc5/lib/rails/application/finisher.rb:63:inblock (2 levels) in <module:Finis
er>'
from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.1.
.rc5/lib/rails/application/finisher.rb:64:in call' from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.1. .rc5/lib/rails/application/finisher.rb:64:inblock in module:Finisher'
from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.1.
.rc5/lib/rails/initializable.rb:25:in instance_exec' from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.1. .rc5/lib/rails/initializable.rb:25:inrun'
from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.1.
.rc5/lib/rails/initializable.rb:50:in block in run_initializers' from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.1. .rc5/lib/rails/initializable.rb:49:ineach'
from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.1.
.rc5/lib/rails/initializable.rb:49:in run_initializers' from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.1. .rc5/lib/rails/application.rb:92:ininitialize!'
from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.1.
.rc5/lib/rails/railtie/configurable.rb:30:in method_missing' from C:/RailsInstaller/hello/config/environment.rb:5:in<top (required

'
from C:/RailsInstaller/hello/config.ru:4:in require' from C:/RailsInstaller/hello/config.ru:4:inblock in

'
from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/rack-1.3.2/li
/rack/builder.rb:51:in instance_eval' from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/rack-1.3.2/li /rack/builder.rb:51:ininitialize'
from C:/RailsInstaller/hello/config.ru:1:in new' from C:/RailsInstaller/hello/config.ru:1:in'
from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/rack-1.3.2/li
/rack/builder.rb:40:in eval' from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/rack-1.3.2/li /rack/builder.rb:40:inparse_file'
from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/rack-1.3.2/li
/rack/server.rb:200:in app' from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.1. .rc5/lib/rails/commands/server.rb:46:inapp'
from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/rack-1.3.2/li
/rack/server.rb:301:in wrapped_app' from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/rack-1.3.2/li /rack/server.rb:252:instart'
from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.1.
.rc5/lib/rails/commands/server.rb:70:in start' from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.1. .rc5/lib/rails/commands.rb:54:inblock in <top (required)>'
from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.1.
.rc5/lib/rails/commands.rb:49:in tap' from C:/RailsInstaller/Ruby1.9.2/lib/ruby/gems/1.9.1/gems/railties-3.1. .rc5/lib/rails/commands.rb:49:in<top (required)>'
from script/rails:6:in require' from script/rails:6:in'

I installed Railsinstaller new version even older version showed similar issue.. Please help,

@josh josh closed this Aug 5, 2011
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment